## org.eclipse.datatools.connectivity.oda.design
Interface CustomFilterExpression

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, FilterExpression, org.eclipse.emf.common.notify.Notifier

    public interface CustomFilterExpression

extends FilterExpression

A representation of the model object 'Custom Filter Expression'. The definition of a custom atomic filter expression contributed by an extension of the org.eclipse.datatools.connectivity.oda.dynamicResultSet extension point.

The following features are supported:

- `Type`
- `Context`

Since:
  3.3 (DTP 1.8)
See Also:
  `DesignPackage.getCustomFilterExpression()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`AtomicExpressionContext` `getContext()` Returns the value of the 'Context' containment reference.
`ExpressionArguments` `getContextArguments()` Returns the expression arguments design in the 'Context' containment reference.
`ExpressionVariable` `getContextVariable()` Returns the expression variable design in the 'Context' containment reference.
`java.lang.String` `getDeclaringExtensionId()` Returns the value of the 'Declaring Extension Id' attribute of this type of filter expression.
`java.lang.String` `getId()` Returns the value of the 'Id' attribute of this type of filter expression.
`FilterExpressionType` `getType()` Returns the value of the 'Type' containment reference.
`boolean` `isOptional()` Indicates whether this filter expression can be excluded at runtime.
`void` `setContext(AtomicExpressionContext value)` Sets the value of the '`Context`' containment reference.
`void` `setContextArguments(ExpressionArguments arguments)` Sets the expression arguments design in the 'Context' containment reference.
`void` `setContextVariable(ExpressionVariable variable)` Sets the expression variable design in the 'Context' containment reference.
`void` `setDeclaringExtensionId(java.lang.String value)` Sets the value of the 'Declaring Extension Id' attribute of this type of filter expression.
`void` `setId(java.lang.String value)` Sets the value of the 'Id' attribute of this type of filter expression.
`void` `setIsOptional(boolean isOptional)` Specifies whether this filter expression can be excluded at runtime.
`void` `setType(FilterExpressionType value)` Sets the value of the '`Type`' containment reference.

Methods inherited from interface org.eclipse.datatools.connectivity.oda.design.FilterExpression
`isNegatable, isSetNegatable, setNegatable, unsetNegatable`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getType

    FilterExpressionType getType()

  Returns the value of the 'Type' containment reference.

  If the meaning of the 'Type' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type' containment reference.
  See Also:
    `setType(FilterExpressionType)`, `DesignPackage.getCustomFilterExpression_Type()`

### setType

    void setType(FilterExpressionType value)

  Sets the value of the '`Type`' containment reference.

  Parameters:
    `value` - the new value of the 'Type' containment reference.
  See Also:
    `getType()`

### getDeclaringExtensionId

    java.lang.String getDeclaringExtensionId()

  Returns the value of the 'Declaring Extension Id' attribute of this type of filter expression. Preserved method for backward compatibility. The id of the ODA dynamicResultSet extension that declares this custom expression.

  Returns:
    the value of the 'Declaring Extension Id' attribute.
  See Also:
    `getType()`, `setDeclaringExtensionId(String)`

### setDeclaringExtensionId

    void setDeclaringExtensionId(java.lang.String value)

  Sets the value of the 'Declaring Extension Id' attribute of this type of filter expression. Preserved method for backward compatibility.

  Parameters:
    `value` - the new value of the 'Declaring Extension Id' attribute.
  See Also:
    `setType(FilterExpressionType)`, `getDeclaringExtensionId()`

### getId

    java.lang.String getId()

  Returns the value of the 'Id' attribute of this type of filter expression. Preserved method for backward compatibility. An id that uniquely identifies a custom expression within an ODA dynamicResultSet extension.

  Returns:
    the value of the 'Id' attribute.
  See Also:
    `getType()`, `setId(String)`

### setId

    void setId(java.lang.String value)

  Sets the value of the 'Id' attribute of this type of filter expression. Preserved method for backward compatibility.

  Parameters:
    `value` - the new value of the 'Id' attribute.
  See Also:
    `setType(FilterExpressionType)`, `getId()`

### getContext

    AtomicExpressionContext getContext()

  Returns the value of the 'Context' containment reference.

  If the meaning of the 'Context' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Context' containment reference.
  See Also:
    `setContext(AtomicExpressionContext)`, `DesignPackage.getCustomFilterExpression_Context()`

### setContext

    void setContext(AtomicExpressionContext value)

  Sets the value of the '`Context`' containment reference.

  Parameters:
    `value` - the new value of the 'Context' containment reference.
  See Also:
    `getContext()`

### isOptional

    boolean isOptional()

  Indicates whether this filter expression can be excluded at runtime.

  Returns:
    true if this can be excluded at runtime; false otherwise

### setIsOptional

    void setIsOptional(boolean isOptional)

  Specifies whether this filter expression can be excluded at runtime.

  Parameters:
    `isOptional` - true if this can be excluded at runtime; false otherwise

### getContextVariable

    ExpressionVariable getContextVariable()

  Returns the expression variable design in the 'Context' containment reference.

  Returns:
    the variable design in the 'Context' containment reference, or null if none is specified

### setContextVariable

    void setContextVariable(ExpressionVariable variable)

  Sets the expression variable design in the 'Context' containment reference.

  Parameters:
    `variable` - the variable design in the 'Context' containment reference

### getContextArguments

    ExpressionArguments getContextArguments()

  Returns the expression arguments design in the 'Context' containment reference.

  Returns:
    the arguments design in the 'Context' containment reference, or null if none is specified

### setContextArguments

    void setContextArguments(ExpressionArguments arguments)

  Sets the expression arguments design in the 'Context' containment reference.

  Parameters:
    `arguments` - the arguments design in the 'Context' containment reference